> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Dome Config

> Return the dome configuration this agent is using (row-bound and/or ``dome_config_id``).



## OpenAPI

````yaml /openapi/api.json get /v1/agent-configurations/{agent_id}/dome-configs
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/agent-configurations/{agent_id}/dome-configs:
    get:
      tags:
        - Agent Environment
        - agent-configurations
      summary: Get Agent Dome Config
      description: >-
        Return the dome configuration this agent is using (row-bound and/or
        ``dome_config_id``).
      operationId: >-
        get_agent_dome_config_v1_agent_configurations__agent_id__dome_configs_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: team_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            description: Team ID (required)
            title: Team Id
          description: Team ID (required)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentDomeConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentDomeConfigResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        status:
          type: string
          title: Status
          default: pending
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        config_body:
          additionalProperties: true
          type: object
          title: Config Body
        dome_instance_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Dome Instance Url
        created_at:
          type: integer
          title: Created At
        created_by:
          type: string
          format: uuid
          title: Created By
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Updated By
      type: object
      required:
        - id
        - created_at
        - created_by
      title: AgentDomeConfigResponse
      description: >-
        Dome config in use for an agent (same wire shape as ``GET
        /dome-configs/{config_id}``).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````